﻿using System;

using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Android.Net;

namespace androidguanxi
{
    [Activity(Label = "两人的关系测试", MainLauncher = true, Icon = "@drawable/icon")]
    public class Activity1 : Activity
    {
        

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            // Get our button from the layout resource,
            // and attach an event to it
            var okbuttons = FindViewById<Button>(Resource.Id.okbutton);
            var younameStr=FindViewById<EditText>(Resource.Id.yourname);
            var shenameStr=FindViewById<EditText>(Resource.Id.shename);
            var nobuttons = FindViewById<Button>(Resource.Id.nobutton);

            nobuttons.Click += (sender, e) =>
            {
                younameStr.Text = string.Empty;
                shenameStr.Text = string.Empty;

            };
          okbuttons.Click += (sender, e) =>
          {
              if (younameStr.Text.Length == 0)
              {

                  Toast toast = Toast.MakeText(this, "你的姓名不能为空", ToastLength.Short);
                toast.SetGravity(GravityFlags.Center, 0, 0);
                toast.Show();
                return;
              }
              if (shenameStr.Text.Length == 0)
              {
                  Toast toast = Toast.MakeText(this, "对方的名字不能为空", ToastLength.Short);
                  toast.SetGravity(GravityFlags.Center, 0, 0);
                  toast.Show();
                  return;
              }
           
            if (!GetGB2312StrokeCount.isChinese(shenameStr.Text.Replace(" ", "")) || !GetGB2312StrokeCount.isChinese(younameStr.Text.Replace(" ", "")))
              {
            
                
                    AlertDialog.Builder mes=new AlertDialog.Builder(this);
                    mes.SetMessage("只能为汉字");
                    mes.SetNegativeButton("确定", delegate { });
                    mes.Show();
                    return;
                
          }
            
           int countMyname=0;
              int countYouname=0;
              countMyname = GetGB2312StrokeCount.GetStrokeCount(younameStr.Text);
              countYouname = GetGB2312StrokeCount.GetStrokeCount(shenameStr.Text);
              AlertDialog.Builder mesg = new AlertDialog.Builder(this);
              mesg.SetMessage(resultCallString(countMyname, countYouname));
              mesg.SetNegativeButton("确定", delegate { });
              mesg.Show();   
        

          };
            
        }
        public string resultCallString(int mynameInt, int younameInt)
        {
            string resultStr = "";
            int bihuaCha = Math.Abs(mynameInt - younameInt);

            while (bihuaCha > 25)
            {
                bihuaCha = bihuaCha - 25;

            }

            switch (bihuaCha)
            {
                case 0: { resultStr = "亲密无间"; break; }
                case 1: { resultStr = "永远和你在一起"; break; }
                case 2: { resultStr = "水火不容"; break; }
                case 3: { resultStr = "知心朋友"; break; }
                case 4: { resultStr = "心上人"; break; }
                case 5: { resultStr = "帮你做事的人"; break; }
                case 6: { resultStr = "帮你的人"; break; }
                case 7: { resultStr = "面和心不合"; break; }
                case 8: { resultStr = "男女关系不正常"; break; }
                case 9: { resultStr = "情投意合"; break; }
                case 10: { resultStr = "关系马虎"; break; }
                case 11: { resultStr = "尊敬你的人"; break; }
                case 12: { resultStr = "爱你的人"; break; }
                case 13: { resultStr = "适合你的人"; break; }
                case 14: { resultStr = "说你坏话的人"; break; }
                case 15: { resultStr = "克星"; break; }
                case 16: { resultStr = "救星"; break; }
                case 17: { resultStr = "忠心的人"; break; }
                case 18: { resultStr = "狼心狗肺的人"; break; }
                case 19: { resultStr = "单相思"; break; }
                case 20: { resultStr = "山盟海誓"; break; }
                case 21: { resultStr = "情敌"; break; }
                case 22: { resultStr = "服从你的人"; break; }
                case 23: { resultStr = "永远在一起"; break; }
                case 24: { resultStr = "伴终生"; break; }
                case 25: { resultStr = "恨你又爱你的人"; break; }
            }
            return resultStr;
        }
       
      
    }
}

